crypto-api-0.13.3: A generic interface for cryptographic operations

Maintainer | Thomas.DuBuisson@gmail.com
Stability | beta
Portability | portable
Safe Haskell | None
Language | Haskell98

Crypto.HMAC

Description

Synopsis

- hmac :: Hash c d => MacKey c d -> ByteString -> d
- hmac' :: Hash c d => MacKey c d -> ByteString -> d
- newtype MacKey c d = MacKey ByteString

# Documentation

hmac :: Hash c d => MacKey c d -> ByteString -> d #

Message authentication code calculation for lazy bytestrings. `hmac k msg` will compute an authentication code for `msg` using key `k`

hmac' :: Hash c d => MacKey c d -> ByteString -> d #

`hmac k msg` will compute an authentication code for `msg` using key `k`

newtype MacKey c d #

A key carrying phantom types `c` and `d`, forcing the key data to only be used by particular hash algorithms.

Constructors

MacKey ByteString |

#### Instances

Instances details

Show (MacKey c d) # |
Instance details Defined in Crypto.HMAC Methods showsPrec :: Int -> MacKey c d -> ShowS # show :: MacKey c d -> String # showList :: [MacKey c d] -> ShowS #
Eq (MacKey c d) # |
Instance details Defined in Crypto.HMAC Methods (==) :: MacKey c d -> MacKey c d -> Bool # (/=) :: MacKey c d -> MacKey c d -> Bool #
Ord (MacKey c d) # |
Instance details Defined in Crypto.HMAC Methods compare :: MacKey c d -> MacKey c d -> Ordering # (<) :: MacKey c d -> MacKey c d -> Bool # (<=) :: MacKey c d -> MacKey c d -> Bool # (>) :: MacKey c d -> MacKey c d -> Bool # (>=) :: MacKey c d -> MacKey c d -> Bool # max :: MacKey c d -> MacKey c d -> MacKey c d # min :: MacKey c d -> MacKey c d -> MacKey c d #